## org.codehaus.groovy.runtime.wrappers
Class IntWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.PojoWrapper
              org.codehaus.groovy.runtime.wrappers.IntWrapper

All Implemented Interfaces:
  GroovyObject

    public class IntWrapper
    extends PojoWrapper

Author:
  John Wilson

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.runtime.wrappers.PojoWrapper
`delegate, wrapped`

Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper
`constrainedType, delegatingMetaClass`

Constructor Summary
Constructor and Description
`IntWrapper(int wrapped)`

Method Summary
Modifier and Type | Method and Description
--- | ---

Methods inherited from class org.codehaus.groovy.runtime.wrappers.PojoWrapper
`getDelegatedMetaClass, getProperty, getWrapped, invokeMethod, setMetaClass, setProperty, unwrap`

Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper
`getMetaClass, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntWrapper

    public IntWrapper(int wrapped)

Copyright © 2003-2010 The Codehaus. All rights reserved.